package fishrungames.bashgid;

import android.content.Context;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;
import it.sephiroth.android.library.widget.HListView;

public class MainPageFragment extends Fragment {
	
	
	String [] teaserHeaderArray = { "Для инвестора", "Культура Башкортостана", "Для гостей и туристов", "Образование" };
	
	String [] investorGroupTitleArray = { "Предприятия Башкортостана", "Статистика", "Помощь инвестору", "Транспорт" };
	String [] investorGroupSubtitleArray = { "Обзор", "Все об экономике Башкортостана", "Программа помощи инвесторам", "Обзор транспортной инфраструктуры" };
	int[] investorGroupImgIdArray = { R.drawable.img_for_investor1_button, R.drawable.img_for_investor2_button, R.drawable.img_for_investor3_button, R.drawable.img_for_investor4_button };
	
	
	String [] cultureGroupTitleArray = { "Земфира", "Башкирский театр", "Национальная библиотека" };
	String [] cultureGroupSubtitleArray = { "Персона дня", "Культурные традиции", "Литература"};
	int[] cultureGroupImgIdArray = { R.drawable.img_culture1_button, R.drawable.img_culture2_button, R.drawable.img_culture3_button };
	
	
	String [] touristGroupTitleArray = { "Панорамы Уфы", "Иремель", "Памятник Салавату Юлаеву", "Ночная жизнь в Уфе" };
	String [] touristGroupSubtitleArray = { "Уфа с высоты птичьего полета", "Природный парк", "Достопримечательность", "Обзор"};
	int[] touristGroupImgIdArray = { R.drawable.img_tourist1_button, R.drawable.img_tourist2_button, R.drawable.img_tourist3_button, R.drawable.img_tourist4_button };
	
	String [] educationGroupTitleArray = { "Учебные заведения Уфы", "УГАТУ", "БГПУ" };
	String [] educationGroupSubtitleArray = { "Обзор", "Университет", "Университет"};
	int[] educationGroupImgIdArray = { R.drawable.img_education1_button, R.drawable.img_education2_button, R.drawable.img_education3_button };
	
	
	ListView listView;

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		View rootView = inflater.inflate(R.layout.fragment_main_page, container, false);
			
		listView = (ListView) rootView.findViewById(R.id.listView);
		
		listView.setAdapter(new ListAdapter(getActivity()));
		
		View header = inflater.inflate(R.layout.main_page_list_header, null);
		
		fillHeader(header);
		
		listView.addHeaderView(header);

		return rootView;
	}
	
	
	private void fillHeader(View header)
	{
		ImageView news1ImageView = (ImageView) header.findViewById(R.id.news1ImageView);
		ImageView news2ImageView = (ImageView) header.findViewById(R.id.news2ImageView);
		ImageView news3ImageView = (ImageView) header.findViewById(R.id.news3ImageView);
		
		TextView news1TextView = (TextView)header.findViewById(R.id.news1TextView);
		TextView news2TextView = (TextView)header.findViewById(R.id.news2TextView);
		TextView news3TextView = (TextView)header.findViewById(R.id.news3TextView);
		
		news1ImageView.setImageResource(R.drawable.news_image1);
		news2ImageView.setImageResource(R.drawable.news_image2);
		news3ImageView.setImageResource(R.drawable.news_image3);
		
		news1TextView.setText("Власти Башкирии создадут выезд из Уфы на трассу М-5 «Урал»");
		news2TextView.setText("Башкирия заняла первое место индекса «деловой активности»");
		news3TextView.setText("«Салават Юлаев» обыграл «Ладу» и прервал серию из 5 поражений в КХЛ");
		
		Button moreNewsButton = (Button)header.findViewById(R.id.moreNewsButton);
		
		moreNewsButton.setText("Другие новости...");
		
	}
	
	
	
	public class ListAdapter extends BaseAdapter {
	    private Context mContext;

	    public ListAdapter(Context c) {
	        mContext = c;
	    }

	    public int getCount() {
	        return teaserHeaderArray.length;
	    }

	    public Object getItem(int position) {
	        return null;
	    }

	    public long getItemId(int position) {
	        return 0;
	    }

	    // create a new ImageView for each item referenced by the Adapter
	    public View getView(int position, View convertView, ViewGroup parent) {
	        
	    	
	    	View view;
	        if (convertView == null) {  // if it's not recycled, initialize some attributes
	        	LayoutInflater inflater = (LayoutInflater) mContext.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
	        	view = inflater.inflate(R.layout.main_page_list_element, null);
	        	
	   
	        } else {
	        	view = convertView;
	        }
	        
	        TextView textView = (TextView) view.findViewById(R.id.textView);
	        
	        Button button = (Button) view.findViewById(R.id.button);
	        
	        HListView hListView = (HListView) view.findViewById(R.id.hListView);
	        
	        if (position == 0)
	        {
	        
	        	hListView.setAdapter(new MainPageHListViewAdapters.SimpleElementAdapter(getActivity(), investorGroupTitleArray, investorGroupSubtitleArray, investorGroupImgIdArray));
	        }
	        else if (position == 1)
	        {
	        	hListView.setAdapter(new MainPageHListViewAdapters.SimpleElementAdapter(getActivity(), cultureGroupTitleArray, cultureGroupSubtitleArray, cultureGroupImgIdArray));
	        }
	        else if (position == 2)
	        {
	        	hListView.setAdapter(new MainPageHListViewAdapters.SimpleElementAdapter(getActivity(), touristGroupTitleArray, touristGroupSubtitleArray, touristGroupImgIdArray));
	        }
	        else
	        {
	        	hListView.setAdapter(new MainPageHListViewAdapters.SimpleElementAdapter(getActivity(), educationGroupTitleArray, educationGroupSubtitleArray, educationGroupImgIdArray));
	        }
	        
	        textView.setText(teaserHeaderArray[position]);
	        
	        button.setText("Посмотреть все");
	        
	        
	        
	        
	        return view;
	    }

	}
}
